Bug 155491 - x86info doesn't work properly with udev
x86info doesn't work properly with udev
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: udev (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-20 16:13 EDT by Lev Makhlis
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: udev-039-10.10.EL4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-12 06:39:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lev Makhlis 2005-04-20 16:13:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
x86info tries to access /dev/cpu/0/cpuid, /dev/cpu/1/cpuid, etc.
But with udev, the devices are /dev/cpu0, /dev/cpu1, etc.

Version-Release number of selected component (if applicable):
kernel-utils-2.4-13.1.48

How reproducible:
Always

Steps to Reproduce:
Run x86info on an SMP system.  

Actual Results:  x86info v1.12b.  Dave Jones 2001-2003
Feedback to <davej@redhat.com>.

Found 2 CPUs
--------------------------------------------------------------------------
CPU #1
/dev/cpu/0/cpuid: No such file or directory
unknown TLB/cache descriptor:   0x60
Family: 15 Model: 4 Stepping: 1 Type: 0 Brand: 0
CPU Model: Pentium 4 Xeon (Foster) Original OEM
Processor name string: Intel(R) Xeon(TM) CPU 2.80GHz

Instruction TLB: 4K, 2MB or 4MB pages, fully associative, 64 entries.
Data TLB: 4KB or 4MB pages, fully associative, 64 entries.
unknown TLB/cache descriptor:   0x60
No level 2 cache or no level 3 cache if valid 2nd level cache.
Instruction trace cache:
        Size: 12K uOps  8-way associative.
L2 unified cache:
        Size: 1MB       Sectored, 8-way associative.
        line size=64 bytes.
Processor serial: 0000-0F41-0000-0000-0000-0000
Number of logical processors supported within the physical package: 0

--------------------------------------------------------------------------
CPU #2
unknown TLB/cache descriptor:   0x60
Family: 15 Model: 4 Stepping: 1 Type: 0 Brand: 0
CPU Model: Pentium 4 Xeon (Foster) Original OEM
Processor name string: Intel(R) Xeon(TM) CPU 2.80GHz

Instruction TLB: 4K, 2MB or 4MB pages, fully associative, 64 entries.
Data TLB: 4KB or 4MB pages, fully associative, 64 entries.
unknown TLB/cache descriptor:   0x60
No level 2 cache or no level 3 cache if valid 2nd level cache.
Instruction trace cache:
        Size: 12K uOps  8-way associative.
L2 unified cache:
        Size: 1MB       Sectored, 8-way associative.
        line size=64 bytes.
Processor serial: 0000-0F41-0000-0000-0000-0000
Number of logical processors supported within the physical package: 0

--------------------------------------------------------------------------
WARNING: Detected SMP, but unable to access cpuid driver.
Used Uniprocessor CPU routines. Results inaccurate.


Expected Results:  Something like this:

x86info v1.13.  Dave Jones 2001-2003
Feedback to <davej@redhat.com>.

Found 2 CPUs
--------------------------------------------------------------------------
CPU #1
Family: 15 Model: 4 Stepping: 1 Type: 0 Brand: 0
CPU Model: Pentium 4 Xeon (Foster) Original OEM
Processor name string: Intel(R) Xeon(TM) CPU 2.80GHz

Feature flags:
 fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflsh dtes acpi mmx fxsr sse sse2 selfsnoop ht acc pbe
Extended feature flags:
 cntx-id
Instruction trace cache:
        Size: 12K uOps  8-way associative.
L1 Data cache:
        Size: 16KB      Sectored, 8-way associative.
        line size=64 bytes.
L2 unified cache:
        Size: 1MB       Sectored, 8-way associative.
        line size=64 bytes.
Instruction TLB: 4K, 2MB or 4MB pages, fully associative, 64 entries.
Data TLB: 4KB or 4MB pages, fully associative, 64 entries.
Processor serial: 0000-0F41-0000-0000-0000-0000
The physical package supports 2 logical processors

--------------------------------------------------------------------------
CPU #2
Family: 15 Model: 4 Stepping: 1 Type: 0 Brand: 0
CPU Model: Pentium 4 Xeon (Foster) Original OEM
Processor name string: Intel(R) Xeon(TM) CPU 2.80GHz

Feature flags:
 fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflsh dtes acpi mmx fxsr sse sse2 selfsnoop ht acc pbe
Extended feature flags:
 cntx-id
Instruction trace cache:
        Size: 12K uOps  8-way associative.
L1 Data cache:
        Size: 16KB      Sectored, 8-way associative.
        line size=64 bytes.
L2 unified cache:
        Size: 1MB       Sectored, 8-way associative.
        line size=64 bytes.
Instruction TLB: 4K, 2MB or 4MB pages, fully associative, 64 entries.
Data TLB: 4KB or 4MB pages, fully associative, 64 entries.
Processor serial: 0000-0F41-0000-0000-0000-0000
The physical package supports 2 logical processors

--------------------------------------------------------------------------


Additional info:

I've tried kernel-utils-2.4-13.1.61 from U1 Beta -- it has the same problem.  After I changed the code to use the correct path, it produced the "expected results" above.
Comment 1 Dave Jones 2005-04-20 16:15:56 EDT
udev bug, I believe we have it fixed in u1-beta. Harald ?
Comment 2 Harald Hoyer 2005-04-21 05:42:42 EDT
in the queue for U2, RHBA-2005:388
Comment 3 Harald Hoyer 2007-03-08 08:23:47 EST
should be fixed... can you confirm?
Comment 4 Lev Makhlis 2007-03-09 11:47:44 EST
Yes, verified in 4.4

Note You need to log in before you can comment on or make changes to this bug.